about create ado.net entity data model

Postby bopuvile » Thu 11 Sep 2008 16:45

Switch to the new version(4.75.42), but now I have to try to generate the error:

- The item with identity 'XXX' already exists in the metadata collection. Parameter name: item

'XXX' it the name of the field
bopuvile
 
Posts: 4
Joined: Wed 10 Sep 2008 16:48

Postby Shalex » Fri 12 Sep 2008 07:03

Try to reduce the amount of imported tables. Find the table/tables that cause this error. Please post here the script that creates it.
Shalex
Devart Team
 
Posts: 7208
Joined: Thu 14 Aug 2008 12:44

problem resolvent

Postby wangmjj » Sun 14 Sep 2008 17:06

SQL tracker :
EDM Wizard generate script:

SELECT "Project1".C1 AS C1,
"Project1"."CatalogName" AS "CatalogName",
"Project1"."SchemaName" AS "SchemaName",
"Project1"."Name" AS "Name"
FROM (SELECT "Extent1"."CatalogName" AS "CatalogName",
"Extent1"."SchemaName" AS "SchemaName",
"Extent1"."Name" AS "Name",
1 AS C1
FROM (
/*STables {C996CB0C-E37A-4f55-88AD-181F1989094D} {BFD32F32-EEE4-4826-9725-C489B0EE1ACC}*/
SELECT T."Id", T."CatalogName", T."SchemaName", T."Name"
FROM (SELECT AT.OWNER || '.' || AT.TABLE_NAME AS "Id",
'Catalog1' AS "CatalogName",
AT.OWNER AS "SchemaName",
AT.TABLE_NAME AS "Name"
/*Ora10gQuery
, AT.DROPPED
*/
FROM SYS.ALL_TABLES AT
UNION ALL
SELECT AOT.OWNER || '.' || AOT.TABLE_NAME AS "Id",
'Catalog1' AS "CatalogName",
AOT.OWNER AS "SchemaName",
AOT.TABLE_NAME AS "Name"
/*Ora10gQuery
, AOT.DROPPED
*/
FROM SYS.ALL_OBJECT_TABLES AOT) T
LEFT OUTER JOIN USER_TAB_PRIVS P ON (T."SchemaName" =
P.OWNER AND
P.GRANTEE = USER AND
P.TABLE_NAME = T."Name" AND
(P."PRIVILEGE" =
'SELECT' OR P."PRIVILEGE" =
'EXECUTE'))
WHERE (T."SchemaName" = USER OR P.GRANTEE = USER)
/*Ora10gQuery
AND T.DROPPED != 'YES'
*/
ORDER BY 3, 1) "Extent1") "Project1"
ORDER BY 3, 4
==============
But Oracle 9.2.0.1 Bug
"Not support "LEFT OUTER JOIN...." taxeme.
Install oracle_p3948480_9206_WINNT patch
ok!
Thank all with help me
wangmjj
 
Posts: 22
Joined: Tue 03 Jun 2008 12:25

Postby Shalex » Mon 15 Sep 2008 11:30

Please upgrade the Oracle version to 9.2.0.4 or higher.
Shalex
Devart Team
 
Posts: 7208
Joined: Thu 14 Aug 2008 12:44

Postby bopuvile » Mon 15 Sep 2008 14:50

I am importing as Exhibit 3 tables, but to have the error, imported a single table and the error persists.

The tables are really small, a table have eleven fields, other table have four fields and another table has two fields. I tried each of these individual.

Table details:

create table TLC_SUSPREAC_TA_ARCHIVO
(
ID_SECUENCIA NUMBER not null,
NOMBRE_ARCHIVO VARCHAR2(50) not null,
USUARIO VARCHAR2(20) not null,
COMENTARIO VARCHAR2(1024)
)
alter table TLC_SUSPREAC_TA_ARCHIVO
add constraint PK_SUSPREAC_SECUENCIA primary key (ID_SECUENCIA)

create table TLC_SUSPREAC_TA_LINEAS
(
NUMERO VARCHAR2(50) not null,
FK_ID_SECUENCIA NUMBER
)
alter table TLC_SUSPREAC_TA_LINEAS
add constraint FK_SUSPREAC_IDSECUENCIA foreign key (FK_ID_SECUENCIA)
references TLC_SUSPREAC_TA_ARCHIVO (ID_SECUENCIA);
create index IDX_SUSPREAC_IDSECUENCIA on TLC_SUSPREAC_TA_LINEAS (FK_ID_SECUENCIA)
create index IDX_SUSPREAC_NUMERO on TLC_SUSPREAC_TA_LINEAS (NUMERO)

create table TLC_SUSPREAC_TA_LOG
(
FK_ID_TRANSACCION NUMBER(15) not null,
FK_ID_SECUENCIA NUMBER(15),
DESC_TIPO_TRANSACCION VARCHAR2(100),
PRODUCTO NUMBER(15),
NUMERO VARCHAR2(50),
FECHA DATE,
SOLICITUD NUMBER(15),
MOTIVO NUMBER(15),
USUARIO VARCHAR2(50),
COMENTARIO VARCHAR2(1024),
ESTADO VARCHAR2(4000)
)

alter table TLC_SUSPREAC_TA_LOG
add constraint FK_ID_SECUENCIA foreign key (FK_ID_SECUENCIA)
references TLC_SUSPREAC_TA_ARCHIVO (ID_SECUENCIA);
alter table TLC_SUSPREAC_TA_LOG
add constraint FK_ID_TRANSACCION foreign key (FK_ID_TRANSACCION)
references FLEX.TLC_TA_APIS_TRANSACCION_LOG (ID_TRANSACCION);
create index IDX_ID_TRANSACCION on TLC_SUSPREAC_TA_LOG (FK_ID_TRANSACCION)
create index IDX_SUSPREAC_TALOG_NUMERO on TLC_SUSPREAC_TA_LOG (NUMERO)
create index IDX_SUSPREAC_TALOG_PRODUCTO on TLC_SUSPREAC_TA_LOG (PRODUCTO)
bopuvile
 
Posts: 4
Joined: Wed 10 Sep 2008 16:48

Postby Shalex » Tue 16 Sep 2008 16:11

First of all, make sure you have Oracle Server version 9.2.0.4 or higher. OraDirect .NET Entity Framework Support is implemented only for these one. We have tried to reproduce the problem described by you. When importing anyone of three tables - all work fine. But when executing the whole script - there is the error. The reason - it is necessary to set NUMBER(15) explicitly when creating the tables TLC_SUSPREAC_TA_ARCHIVO and TLC_SUSPREAC_TA_LINEAS.
Shalex
Devart Team
 
Posts: 7208
Joined: Thu 14 Aug 2008 12:44

Postby bopuvile » Wed 17 Sep 2008 20:47

The same mistake continues

Oracle Version

OCI: version 9.2
Oracle9i Enterprise Edition Release 9.2.0.5.0
Oracle Data Provider for Net 9.2.0.7
Oracle Net 9.2.0.1.0 (I installed the "Oracle Data Provider for Net 9.2.0.7" and was installed this version)

I need change de Oracle Net??? (¿Can I download from where?)
bopuvile
 
Posts: 4
Joined: Wed 10 Sep 2008 16:48

Postby Wupaz » Fri 19 Sep 2008 13:44

Need help fast ... we are in evaluate processus from a Oracle provider for Entity Framework, and we need a quick answer ...

Setup............
Visual studio 2008 SP1 (Release)
OraDirect .net 4.75.42
OraDevelopper (latest)
Oracle 8i


PART1.........................................

Add
New Item
Ado.net Entity Data Model
Generate from database
Next
New Connection
Server : xxx1.16.4800
user ....
pw ...
home : OraHome81

Test Connection : Succeeded
OK
Select Yes , include the sensitive ....
Next


An error occured while connecting to the database.
The database might be unavailable.
An exception of type 'System.data.providerIncompatibleException' Ocurred.
The error message is : 'The provider did not return a providerManifestToken string.
The Inner exception caught was of type ' System.NotSupportedException',
with this error message: 'Entity framework is supported for Oracle server version 9.2 or higher'.'.




I setup the same stuff with oracleDevelopper and I can create connection and browse schema & tables.


PART2.........................................

Other bug ... if tns name server contain '.' your Server combobox I have only the first part.
ex.:

Dev1.99.0001
Dev1.99.0002
Dev1.99.0003

I see in Server ComboBox
Dev1
Dev1
Dev1
Wupaz
 
Posts: 8
Joined: Fri 19 Sep 2008 13:36

Postby Wupaz » Mon 22 Sep 2008 13:43

Hello ?!

Anybody could help me ? I try with Oracle client 10.2 ... and same error ...
Wupaz
 
Posts: 8
Joined: Fri 19 Sep 2008 13:36

Postby Wupaz » Mon 22 Sep 2008 17:58

I tried with a 10.1 oracle DB ...and it's work ...

So I understand you didn't support Oracle 8i!
Wupaz
 
Posts: 8
Joined: Fri 19 Sep 2008 13:36

Postby Shalex » Tue 23 Sep 2008 10:02

Entity framework is supported for Oracle server version 9.2.0.4 or higher.
Shalex
Devart Team
 
Posts: 7208
Joined: Thu 14 Aug 2008 12:44

Previous

Return to dotConnect for Oracle